Software Update Configurations - List
Get all software update configurations for the account.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Automation/automationAccounts/{automationAccountName}/softwareUpdateConfigurations?api-version=2024-10-23
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Automation/automationAccounts/{automationAccountName}/softwareUpdateConfigurations?api-version=2024-10-23&$filter={$filter}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
automation
|
path | True |
string |
The name of the automation account. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
$filter
|
query |
string |
The filter to apply on the operation. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| clientRequestId |
string |
Identifies this specific client request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
| List software update configurations |
| List software update configurations Targeting a specific azure virtual machine |
List software update configurations
Sample request
GET https://management.azure.com/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/mygroup/providers/Microsoft.Automation/automationAccounts/myaccount/softwareUpdateConfigurations?api-version=2024-10-23
Sample response
{
"value": [
{
"name": "testpatch-01",
"id": "/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/Mo-Resources-WCUS/providers/Microsoft.Automation/automationAccounts/Mo-AAA-WCUS/softwareUpdateConfigurations/testpatch-01",
"properties": {
"creationTime": "2017-10-19T18:54:50.5233333+00:00",
"frequency": "Week",
"lastModifiedTime": "2017-10-19T18:54:50.68+00:00",
"nextRun": "2017-10-23T12:22:00-07:00",
"provisioningState": "Succeeded",
"startTime": "2017-10-19T12:22:00-07:00",
"tasks": {
"postTask": {
"parameters": null,
"source": "GetCache"
},
"preTask": {
"parameters": {
"COMPUTERNAME": "Computer1"
},
"source": "HelloWorld"
}
},
"updateConfiguration": {
"azureVirtualMachines": [
"/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/myresources/providers/Microsoft.Compute/virtualMachines/vm-01",
"/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/myresources/providers/Microsoft.Compute/virtualMachines/vm-02",
"/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/myresources/providers/Microsoft.Compute/virtualMachines/vm-03"
],
"duration": "PT2H",
"linux": null,
"nonAzureComputerNames": null,
"operatingSystem": "Windows",
"targets": {
"azureQueries": [
{
"locations": null,
"scope": [
"/subscriptions/422b6c61-95b0-4213-b3be-7282315df71d/resourceGroups/a-stasku-rg0",
"/subscriptions/422b6c61-95b0-4213-b3be-7282315df71d"
],
"tagSettings": {
"filterOperator": "All",
"tags": {
"tag1": [
"tag1Value1",
"tag1Value2"
],
"tag2": [
"tag2Value1",
"tag2Value2"
]
}
}
}
]
},
"windows": {
"excludedKbNumbers": null,
"includedUpdateClassifications": "Critical, Security, UpdateRollup, FeaturePack, ServicePack, Definition, Tools, Updates"
}
}
}
},
{
"name": "testpatch-02",
"id": "/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/Mo-Resources-WCUS/providers/Microsoft.Automation/automationAccounts/Mo-AAA-WCUS/softwareUpdateConfigurations/testpatch-02",
"properties": {
"creationTime": "2017-08-11T21:52:02.7733333+00:00",
"frequency": "Hour",
"lastModifiedTime": "2017-08-11T21:52:22.88+00:00",
"nextRun": "2018-05-05T12:26:00-07:00",
"provisioningState": "Succeeded",
"startTime": "2018-05-05T12:26:00-07:00",
"tasks": {
"postTask": {
"parameters": null,
"source": "GetCache"
},
"preTask": {
"parameters": {
"COMPUTERNAME": "Computer1"
},
"source": "HelloWorld"
}
},
"updateConfiguration": {
"azureVirtualMachines": [
"/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/myresources/providers/Microsoft.Compute/virtualMachines/vm-04",
"/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/myresources/providers/Microsoft.Compute/virtualMachines/vm-05",
"/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/myresources/providers/Microsoft.Compute/virtualMachines/vm-06"
],
"duration": "PT2H30M",
"linux": null,
"nonAzureComputerNames": null,
"operatingSystem": "Windows",
"targets": {
"azureQueries": [
{
"locations": [
"Japan East",
"UK South"
],
"scope": [
"/subscriptions/422b6c61-95b0-4213-b3be-7282315df71d/resourceGroups/a-stasku-rg0",
"/subscriptions/422b6c61-95b0-4213-b3be-7282315df71d"
],
"tagSettings": {
"filterOperator": "All",
"tags": {
"tag1": [
"tag1Value1",
"tag1Value2"
],
"tag2": [
"tag2Value1",
"tag2Value2"
]
}
}
}
]
},
"windows": {
"excludedKbNumbers": null,
"includedUpdateClassifications": "Critical, FeaturePack"
}
}
}
}
]
}
List software update configurations Targeting a specific azure virtual machine
Sample request
GET https://management.azure.com/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/mygroup/providers/Microsoft.Automation/automationAccounts/myaccount/softwareUpdateConfigurations?api-version=2024-10-23&$filter=properties/updateConfiguration/azureVirtualMachines/any(m: m eq '/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/myresources/providers/Microsoft.Compute/virtualMachines/vm-01')
Sample response
{
"value": [
{
"name": "testpatch-01",
"id": "/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/Mo-Resources-WCUS/providers/Microsoft.Automation/automationAccounts/Mo-AAA-WCUS/softwareUpdateConfigurations/testpatch-01",
"properties": {
"creationTime": "2017-10-19T18:54:50.5233333+00:00",
"frequency": "Week",
"lastModifiedTime": "2017-10-19T18:54:50.68+00:00",
"nextRun": "2017-10-23T12:22:00-07:00",
"provisioningState": "Succeeded",
"startTime": "2017-10-19T12:22:00-07:00",
"tasks": {
"postTask": {
"parameters": null,
"source": "GetCache"
},
"preTask": {
"parameters": {
"COMPUTERNAME": "Computer1"
},
"source": "HelloWorld"
}
},
"updateConfiguration": {
"azureVirtualMachines": [
"/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/myresources/providers/Microsoft.Compute/virtualMachines/vm-01",
"/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/myresources/providers/Microsoft.Compute/virtualMachines/vm-02",
"/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/myresources/providers/Microsoft.Compute/virtualMachines/vm-03"
],
"duration": "PT2H",
"linux": null,
"nonAzureComputerNames": null,
"operatingSystem": "Windows",
"windows": {
"excludedKbNumbers": null,
"includedUpdateClassifications": "Critical, Security, UpdateRollup, FeaturePack, ServicePack, Definition, Tools, Updates"
}
}
}
},
{
"name": "testpatch-02",
"id": "/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/Mo-Resources-WCUS/providers/Microsoft.Automation/automationAccounts/Mo-AAA-WCUS/softwareUpdateConfigurations/testpatch-02",
"properties": {
"creationTime": "2017-08-11T21:52:02.7733333+00:00",
"frequency": "Hour",
"lastModifiedTime": "2017-08-11T21:52:22.88+00:00",
"nextRun": "2018-05-05T12:26:00-07:00",
"provisioningState": "Succeeded",
"startTime": "2018-05-05T12:26:00-07:00",
"tasks": {
"postTask": {
"parameters": null,
"source": "GetCache"
},
"preTask": {
"parameters": {
"COMPUTERNAME": "Computer1"
},
"source": "HelloWorld"
}
},
"updateConfiguration": {
"azureVirtualMachines": [
"/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/myresources/providers/Microsoft.Compute/virtualMachines/vm-01",
"/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/myresources/providers/Microsoft.Compute/virtualMachines/vm-05",
"/subscriptions/1a7d4044-286c-4acb-969a-96639265bf2e/resourceGroups/myresources/providers/Microsoft.Compute/virtualMachines/vm-06"
],
"duration": "PT2H30M",
"linux": null,
"nonAzureComputerNames": null,
"operatingSystem": "Windows",
"windows": {
"excludedKbNumbers": null,
"includedUpdateClassifications": "Critical, FeaturePack"
}
}
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Azure |
Azure query for the update configuration. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Linux |
Linux specific update configuration. |
|
Linux |
Update classifications included in the software update configuration. |
|
Non |
Non Azure query for the update configuration. |
|
Operating |
Target operating system for the software update configuration. |
|
Schedule |
Gets or sets the frequency of the schedule. |
|
software |
Software update configuration collection item properties. |
|
software |
result of listing all software update configuration |
|
software |
Task properties of the software update configuration. |
|
Tag |
Filter VMs by Any or All specified tags. |
|
Tag |
Tag filter information for the VM. |
|
Target |
Group specific to the update configuration. |
|
task |
Task properties of the software update configuration. |
|
update |
Update specific properties of the software update configuration. |
|
Windows |
Windows specific update configuration. |
|
Windows |
Update classification included in the software update configuration. A comma separated string with required values |
AzureQueryProperties
Azure query for the update configuration.
| Name | Type | Description |
|---|---|---|
| locations |
string[] |
List of locations to scope the query to. |
| scope |
string[] |
List of Subscription or Resource Group ARM Ids. |
| tagSettings |
Tag settings for the VM. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
LinuxProperties
Linux specific update configuration.
| Name | Type | Description |
|---|---|---|
| excludedPackageNameMasks |
string[] |
packages excluded from the software update configuration. |
| includedPackageClassifications |
Update classifications included in the software update configuration. |
|
| includedPackageNameMasks |
string[] |
packages included from the software update configuration. |
| rebootSetting |
string |
Reboot setting for the software update configuration. |
LinuxUpdateClasses
Update classifications included in the software update configuration.
| Value | Description |
|---|---|
| Unclassified |
Unclassified |
| Critical |
Critical |
| Security |
Security |
| Other |
Other |
NonAzureQueryProperties
Non Azure query for the update configuration.
| Name | Type | Description |
|---|---|---|
| functionAlias |
string |
Log Analytics Saved Search name. |
| workspaceId |
string |
Workspace Id for Log Analytics in which the saved Search is resided. |
OperatingSystemType
Target operating system for the software update configuration.
| Value | Description |
|---|---|
| Windows |
Windows |
| Linux |
Linux |
ScheduleFrequency
Gets or sets the frequency of the schedule.
| Value | Description |
|---|---|
| OneTime |
OneTime |
| Day |
Day |
| Hour |
Hour |
| Week |
Week |
| Month |
Month |
| Minute |
The minimum allowed interval for Minute schedules is 15 minutes. |
softwareUpdateConfigurationCollectionItem
Software update configuration collection item properties.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource Id of the software update configuration |
| name |
string |
Name of the software update configuration. |
| properties.creationTime |
string (date-time) |
Creation time of the software update configuration, which only appears in the response. |
| properties.frequency |
execution frequency of the schedule associated with the software update configuration |
|
| properties.lastModifiedTime |
string (date-time) |
Last time software update configuration was modified, which only appears in the response. |
| properties.nextRun |
string (date-time) |
ext run time of the update. |
| properties.provisioningState |
string |
Provisioning state for the software update configuration, which only appears in the response. |
| properties.startTime |
string (date-time) |
the start time of the update. |
| properties.tasks |
Pre and Post Tasks defined |
|
| properties.updateConfiguration |
Update specific properties of the software update configuration. |
softwareUpdateConfigurationListResult
result of listing all software update configuration
| Name | Type | Description |
|---|---|---|
| value |
outer object returned when listing all software update configurations |
softwareUpdateConfigurationTasks
Task properties of the software update configuration.
| Name | Type | Description |
|---|---|---|
| postTask |
Post task properties. |
|
| preTask |
Pre task properties. |
TagOperators
Filter VMs by Any or All specified tags.
| Value | Description |
|---|---|
| All |
All |
| Any |
Any |
TagSettingsProperties
Tag filter information for the VM.
| Name | Type | Description |
|---|---|---|
| filterOperator |
Filter VMs by Any or All specified tags. |
|
| tags |
object |
Dictionary of tags with its list of values. |
TargetProperties
Group specific to the update configuration.
| Name | Type | Description |
|---|---|---|
| azureQueries |
List of Azure queries in the software update configuration. |
|
| nonAzureQueries |
List of non Azure queries in the software update configuration. |
taskProperties
Task properties of the software update configuration.
| Name | Type | Description |
|---|---|---|
| parameters |
object |
Gets or sets the parameters of the task. |
| source |
string |
Gets or sets the name of the runbook. |
updateConfiguration
Update specific properties of the software update configuration.
| Name | Type | Description |
|---|---|---|
| azureVirtualMachines |
string[] |
List of azure resource Ids for azure virtual machines targeted by the software update configuration. |
| duration |
string (duration) |
Maximum time allowed for the software update configuration run. Duration needs to be specified using the format PT[n]H[n]M[n]S as per ISO8601 |
| linux |
Linux specific update configuration. |
|
| nonAzureComputerNames |
string[] |
List of names of non-azure machines targeted by the software update configuration. |
| operatingSystem |
operating system of target machines |
|
| targets |
Group targets for the software update configuration. |
|
| windows |
Windows specific update configuration. |
WindowsProperties
Windows specific update configuration.
| Name | Type | Description |
|---|---|---|
| excludedKbNumbers |
string[] |
KB numbers excluded from the software update configuration. |
| includedKbNumbers |
string[] |
KB numbers included from the software update configuration. |
| includedUpdateClassifications |
Update classification included in the software update configuration. A comma separated string with required values |
|
| rebootSetting |
string |
Reboot setting for the software update configuration. |
WindowsUpdateClasses
Update classification included in the software update configuration. A comma separated string with required values
| Value | Description |
|---|---|
| Unclassified |
Unclassified |
| Critical |
Critical |
| Security |
Security |
| UpdateRollup |
UpdateRollup |
| FeaturePack |
FeaturePack |
| ServicePack |
ServicePack |
| Definition |
Definition |
| Tools |
Tools |
| Updates |
Updates |